package com.duiba.tuia.youtui.web.model.rsp;

import com.duiba.tuia.youtui.web.biz.interfaces.ImageBusiness;
import com.duiba.tuia.youtui.web.tool.DomainUtil;

import java.io.Serializable;
import java.util.Map;

/**
 * Created by xuefeng on 2017/12/15.
 */
public class KefuResponse implements Serializable, ImageBusiness {

    private static final long serialVersionUID = 1L;

    private Long id;

    //按钮代码
    private String buttonCode;

    private String phone;

    //埋点信息
    private Map<String, String> embed;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getButtonCode() {
        return buttonCode;
    }

    public void setButtonCode(String buttonCode) {
        this.buttonCode = buttonCode;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Map<String, String> getEmbed() {
        return embed;
    }

    public void setEmbed(Map<String, String> embed) {
        this.embed = embed;
    }

    @Override
    public void replaceDomain(String domain) {
        buttonCode = DomainUtil.replaceDomain(buttonCode, domain);
    }
}
